我可以保持我的设置从Indigo升级到Juno吗?

我如何将Eclipse从Indigo升级到Juno而不会丢失我所有的定制?

我已经尝试了两种不同的东西,但都没有成功:

  • 从Indigo导出首选项并导入到Juno中
  • 在靛蓝工作区的副本上运行Juno

每次升级都必须从头开始,这太令人讨厌了。

9 Solutions collect form web for “我可以保持我的设置从Indigo升级到Juno吗?”

我不是专家,但我只是将新网站添加到“可用软件站点”(帮助 – >安装新软件 – >可用软件站点)

http://download.eclipse.org/releases/juno

http://download.eclipse.org/tools/cdt/releases/juno

并更新(帮助 – >安装更新)。

更新之后

http://download.eclipse.org/eclipse/updates/4.2已被添加http://download.eclipse.org/eclipse/updates/3.7已被禁用http://download.eclipse.org/tools/cdt/releases/indigo已被禁用

也许其他的变化,我没有注意到。

一切似乎都按预期工作 – 项目列表依然存在 – 观点依然存在 – 唯一没有保留的东西似乎是在工作区中打开的编辑器选项卡,但这是一个小小的损失。 所以希望这是正确的做法 – 除非有人想告诉我不同​​的方式。

艾伦

我跟AlanB所描述的一样,从Indigo升级也没问题:

  1. 添加Juno更新站点以及您正在使用的其他项目的更新站点(在Eclipse > Preferences > Available Software Sites

  2. selectHelp > Check for Updates

  3. 按照更新向导(select你需要的一切,接受你所有的一切)

  4. 重新启动Eclipse

附加信息:

eclipse.org wiki中的FAQ条目: “如何升级Eclipse?”

Eclipse Juno(4.2)自述文件(稍微更详细): “从早期版本升级Workspace”

你们正在把这个问题变成一个更大的问题,Eclipse的devise是可移植的,也就是说,它不需要安装或存储设置在registry等。

升级和维护设置与下载Y版本一样简单,并将其解压缩到版本X文件夹中,覆盖除configuration文件夹之外的所有内容。 新版本configuration文件夹中只有2或3个通用文件,直到第一次运行。 我已经完成了过去4个版本的Eclipse,从来没有遇到过问题。

唯一要记住的是,任何不包含在你正在使用的任何专门版本中的东西都可能需要升级,但这只是在第一次运行新版本之后点击帮助下的升级检查的问题。

@AlanB,这不适合我,因为发行版回购不包括Eclipse SDK。 也许组织自升级以来已经发生了变化。

我不得不添加以下存储库: http : //download.eclipse.org/eclipse/updates/4.2/到可用的软件站点。

即使那么检查更新不起作用。 必须要经过安装新的软件path,select上面的repo,然后显示Eclipse SDK,Eclipse Platform SDK等选项。 必须根据当前的安装select正确的升级选项(即,如果是平台或SDK等)

希望这有助于某人。

CC

您可以通过导出…>“首选项”>“全部导出”在旧安装中导入大部分偏好设置 ,并将其导入到新设置中。

编辑:这是Linux用户

这个链接应该帮助: http : //blog.brunobraga.net/eclipse-42-in-ubuntu-1204

基本上,你只需要用最新版本的新下载来replace你的/ usr / lib / eclipse,这就是真的。

您可以使用通用根文件夹导入现有项目

文件>导入…>常规>现有项目到工作区

除了偏好转移(如thSoftbuild议):

文件>导出…>常规>首选项>全部导出
文件>导入…>常规>首选项>全部导入

你可以使用eclipse-perspective-share来迁移你的观点。

我的2美分。

第一个和第二个答案不适合我。

我最终下载了最新版本的eclipse,并导入了以前版本的工作区和configuration。

我发现这个video有用的http://www.youtube.com/watch?v=57vTrxFa3d4

  • Eclipse键盘快捷键将源代码缩进左侧?
  • Java:Thread.currentThread()。sleep(x)与Thread.sleep(x)
  • 安装Eclipse的ADT插件
  • Eclipse的包资源pipe理器背景颜色遵循Windows主题。 我想改变颜色而不改变windows的主题。 可能?
  • Eclipse:语法错误,仅当源级别为1.5时,参数化types才是
  • 如何使Eclipse在Windows 7任务栏中performance良好?
  • Tomcat在Eclipse中启动,但无法连接到http:// localhost:8085 /
  • Eclipse的Velocity编辑器插件?
  • Eclipse CDT:Symbol'cout'无法parsing
  • 如何将源码附加到android.jar
  • Eclipse无法删除错误